# Log

Package

## Class Log

-     public class Log

  Log entry for an `FFmpegKit` session.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final long` | `sessionId` |
    `private final Level` | `level` |
    `private final String` | `message` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Log(long sessionId, Level level, String message)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSessionId()` |
    `Level` | `getLevel()` |
    `String` | `getMessage()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log

          Log(long sessionId, Level level, String message)

  - ### Method Detail

    - #### getSessionId

           long getSessionId()

    - #### getLevel

           Level getLevel()

    - #### getMessage

           String getMessage()

    - #### toString

           String toString()